/*
KrossWordPuzzle - A crossword playing game and editor for KDE4.
This file contains code for a widget that allows editing of crossword answers.
Copyright (C) 2009     Friedrich Pülz <fpuelz@gmx.de>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef ANSWERWIDGET_H
#define ANSWERWIDGET_H

#include <KLineEdit>

class AnswerWidget : public KLineEdit {
  public:
    AnswerWidget( QWidget *parent = 0 );
    AnswerWidget( const QString& string, QWidget *parent = 0 );

  protected:
    virtual void focusInEvent( QFocusEvent *ev );
    virtual void mousePressEvent( QMouseEvent *ev );

  private:
    bool m_justGotFocusByMouse;
};

#endif // ANSWERWIDGET_H
